GRSOutComeWriter (The Data Transfer Agent Service 1.1.0-SNAPSHOT API)
Date: 2012-10-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.agent.impl.grs
Class GRSOutComeWriter

    java.lang.Object
      org.gcube.datatransfer.agent.impl.grs.GRSOutComeWriter

    public class GRSOutComeWriter

extends Object

Field Summary
`gr.uoa.di.madgik.grs.writer.RecordWriter<gr.uoa.di.madgik.grs.record.GenericRecord>` | `writer`

Constructor Summary
`GRSOutComeWriter(int capacity)`

Method Summary
`void` | `close()`
`gr.uoa.di.madgik.grs.writer.RecordWriter<gr.uoa.di.madgik.grs.record.GenericRecord>` | `getWriter()`
`void` | `putField(String sourceUrl, String outURL, Long transferTime, Exception... e)`
`void` | `setWriter(gr.uoa.di.madgik.grs.writer.RecordWriter<gr.uoa.di.madgik.grs.record.GenericRecord> writer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### writer

    public gr.uoa.di.madgik.grs.writer.RecordWriter<gr.uoa.di.madgik.grs.record.GenericRecord> writer

Constructor Detail

### GRSOutComeWriter

    public GRSOutComeWriter(int capacity)
                     throws gr.uoa.di.madgik.grs.writer.GRS2WriterException

Throws:
  `gr.uoa.di.madgik.grs.writer.GRS2WriterException`

Method Detail

### putField

    public void putField(String sourceUrl,
                         String outURL,
                         Long transferTime,
                         Exception... e)
                  throws gr.uoa.di.madgik.grs.writer.GRS2WriterException

  Throws:
    `gr.uoa.di.madgik.grs.writer.GRS2WriterException`

### getWriter

    public gr.uoa.di.madgik.grs.writer.RecordWriter<gr.uoa.di.madgik.grs.record.GenericRecord> getWriter()

### setWriter

    public void setWriter(gr.uoa.di.madgik.grs.writer.RecordWriter<gr.uoa.di.madgik.grs.record.GenericRecord> writer)

### close

    public void close()
               throws gr.uoa.di.madgik.grs.writer.GRS2WriterException

  Throws:
    `gr.uoa.di.madgik.grs.writer.GRS2WriterException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.